Name:           vrrpd
Version:        1.9
Release:        1%{?dist}
Summary:        A Virtual Router Redundancy Protocol implementation

Group:          Applications/Internet
License:        GPLv2+
URL:            http://sourceforge.net/projects/vrrpd/files/vrrpd/Unofficial/
Source0:        Advanced-Vrrpd-%{version}.tar.gz

Patch0:         vrrpd-fix-path.patch
Patch1:         vrrpd-translation.patch
Patch2:         vrrpd-fix-type-warning.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  
#Requires:       

%description
VRRPd is an implementation of Virtual Router Redundancy Protocol as specified
in RFC-2338. VRRPd is interoperable with other RFC-based VRRP implementations,
including Cisco and Juniper, and is included as a standard feature on
ImageStream routers.

This version has many improvements like monitoring other vrrpd processes and
executing a command when changing back and forth from master to backup.

You can also use atropos program for view or change global state.

Tested on Linux only: http://numsys.eu

Changelog and latest releases are available here:
https://github.com/fredbcode/Vrrpd/releases


%prep
%setup -q -n Vrrpd-%{version}
%patch0
%patch1
%patch2


%build
make clean
make %{?_smp_mflags}

# Fix permission on documentation files
chmod -x Changes FAQ INSTALL README.md TODO doc/*.* vrrpd.8

# Change the init.d script name to vrrpd
mv scripts/vrrp{,d}

%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT
install -m 755 -d ${RPM_BUILD_ROOT}/usr/sbin
install -m 755 -t ${RPM_BUILD_ROOT}/usr/sbin vrrpd
install -m 755 -t ${RPM_BUILD_ROOT}/usr/sbin atropos

# The init script is Debian specific, and only runs the example script
# vrrp_on.sh which gets copied into /etc/vrrp.conf by default.
# I don't like the idea of having a conf file which is a script instead.

#install -m 755 -d ${RPM_BUILD_ROOT}/etc/init.d
#install -m 755 -t ${RPM_BUILD_ROOT}/etc/init.d scripts/vrrpd

install -m 755 -d ${RPM_BUILD_ROOT}/etc/vrrpd
install -m 755 -t ${RPM_BUILD_ROOT}/etc/vrrpd scripts/VRRP/*

install -m 755 -d ${RPM_BUILD_ROOT}/usr/share/man/man8
install -m 644 -t ${RPM_BUILD_ROOT}/usr/share/man/man8 vrrpd.8

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes FAQ INSTALL README.md TODO doc/*.*
/usr/sbin/vrrpd
/usr/sbin/atropos
#/etc/init.d/vrrpd
/etc/vrrpd/*
/usr/share/man/man8/*

%post
/sbin/chkconfig --add vrrp

%preun
/sbin/chkconfig --del vrrp

%changelog
* Thu Mar 06 2014 Bussi Andrea <bussi@mfn.unipmn.it> - 1.9-1
- Initial version.

